using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.SessionState;

namespace NetMagazine_MVC3_Parte3.Controllers
{
    [ControllerSessionState(SessionStateBehavior.ReadOnly)]
    public class ReadonlyController : Controller
    {
        public ActionResult Index()
        {
            Session["Nome"] = "Vinicius";

            return View();
        }
        public ActionResult AcessandoReadonly()
        {
            return View(Session["Nome"]);
        }
    }
}
